-- α׷  3d  ޾ƿ  ӽ 
--vTemp 	= {}
--vTemp.x	= 0
--vTemp.y	= 0
--vTemp.z	= 0

-- weapon sound Ÿ 
WPNSND_DUMMY				= 0
WPNSND_RELOAD1_NO_BOLT		= 1
WPNSND_RELOAD2_NO_BOLT		= 2
WPNSND_RELOAD1_BOLT			= 3
WPNSND_RELOAD2_BOLT			= 4
WPNSND_PUMP_ACTION			= 5
WPNSND_SPECIAL1				= 6
WPNSND_SPECIAL2				= 7


--PlayFootEffect( pEntity, ΰ, 巹 )
function ProcessAnimEvent( pEntity, posX, posY, posZ, eventID, wpnID, bLocal )
		
	if eventID==JUMP_BEGIN then
		Play3DSound( "Sound\\Environment\\Move\\Move_Jump.wav", posX, posY, posZ )
		
	elseif eventID==LFOOT_LAND or eventID==RFOOT_LAND then
	
		bLeft = FALSE			
		if eventID==LFOOT_LAND then bLeft = TRUE end		
		PlayFootEffect( pEntity, bLeft, 1 )
		
	elseif eventID==CROUCH_LFOOT_LAND or eventID==CROUCH_RFOOT_LAND then
	
		bLeft = FALSE			
		if eventID==CROUCH_LFOOT_LAND then bLeft = TRUE end		
		PlayFootEffect( pEntity, bLeft, 2 )
		
	elseif eventID==SPRINT_LFOOT_LAND or eventID==SPRINT_RFOOT_LAND then
	
		bLeft = FALSE			
		if eventID==SPRINT_LFOOT_LAND then bLeft = TRUE end
		PlayFootEffect( pEntity, bLeft, 0 )

	elseif eventID==C4_Plant1 and bLocal==FALSE then
		Play3DSound( "Sound\\HGrenade\\C4_Plant_Beep.wav", posX, posY, posZ )
	elseif eventID==C4_Plant2 and bLocal==FALSE then
		Play3DSound( "Sound\\HGrenade\\C4_Plant_Down.wav", posX, posY, posZ )
	elseif eventID==C4_Defuse1 and bLocal==FALSE then
		Play3DSound( "Sound\\HGrenade\\C4_Defuse_Beep.wav", posX, posY, posZ )
	elseif eventID==C4_Defuse2 and bLocal==FALSE then
		Play3DSound( "Sound\\HGrenade\\C4_Defuse_Down.wav", posX, posY, posZ )	

	end
end


function ProcessPVAnimEvent( pEntity, posX, posY, posZ, eventID, wpnID )
	
	if eventID==RELOAD1_WITH_NO_BOLT then	
		PlayWeaponSound( pEntity, WPNSND_RELOAD1_NO_BOLT )
	elseif eventID==RELOAD2_WITH_NO_BOLT then
		PlayWeaponSound( pEntity, WPNSND_RELOAD2_NO_BOLT )
	elseif eventID==RELOAD1_WITH_BOLT then	
		PlayWeaponSound( pEntity, WPNSND_RELOAD1_BOLT )
	elseif eventID==RELOAD2_WITH_BOLT then	
		PlayWeaponSound( pEntity, WPNSND_RELOAD2_BOLT )
	elseif eventID==PUMP_ACTION then	
		PlayWeaponSound( pEntity, WPNSND_PUMP_ACTION )
	elseif eventID==CLIP_OUT then	
		PlayWeaponSound( pEntity, WPNSND_RELOAD1_NO_BOLT )
	elseif eventID==CLIP_IN then
		PlayWeaponSound( pEntity, WPNSND_RELOAD2_NO_BOLT )
	elseif eventID==COCKING then	
		PlayWeaponSound( pEntity, WPNSND_PUMP_ACTION )
	elseif eventID==PULL_BOLT then	
		PlayWeaponSound( pEntity, WPNSND_SPECIAL1 )
	elseif eventID==PUSH_BOLT then	
		PlayWeaponSound( pEntity, WPNSND_SPECIAL2 )
	elseif eventID==MAGHIT then	
		PlayWeaponSound( pEntity, WPNSND_SPECIAL1 )
	elseif eventID==COVER_UP then	
		PlayWeaponSound( pEntity, WPNSND_SPECIAL1 )
	elseif eventID==COVER_DOWN then	
		PlayWeaponSound( pEntity, WPNSND_SPECIAL2 )
	elseif eventID==BULLET then	
		PlayWeaponSound( pEntity, WPNSND_SPECIAL1 )
	elseif eventID==OUT then	
		Play2DSound( "Sound\\Weapon\\Explosive\\C4\\C4_Out.wav" )
	elseif eventID==BEEP then	
		Play2DSound( "Sound\\Weapon\\Explosive\\C4\\C4_Beep.wav" )
	elseif eventID==BEEP_END then	
		Play2DSound( "Sound\\Weapon\\Explosive\\C4\\C4_Beep_End.wav" )
	elseif eventID==DROP then	
		Play2DSound( "Sound\\Weapon\\Explosive\\C4\\C4_Drop.wav" )

	elseif eventID==Knife_Action_01 then
		Play3DSound( "Sound\\Weapon\\Melee\\Knife\\Knife_attack1.wav", posX, posY, posZ )
	elseif eventID==Knife_Action_02 then
		Play3DSound( "Sound\\Weapon\\Melee\\Knife\\Knife_attack2.wav", posX, posY, posZ )
	elseif eventID==Kukri_Action_01 then
		Play3DSound( "Sound\\Weapon\\Melee\\Kukri\\Kukri_attack1.wav", posX, posY, posZ )
	elseif eventID==Kukri_Action_02 then
		Play3DSound( "Sound\\Weapon\\Melee\\Kukri\\Kukri_attack2.wav", posX, posY, posZ )
	elseif eventID==BowieK_Action_01 then
		Play3DSound( "Sound\\Weapon\\Melee\\Knife\\Knife_attack1.wav", posX, posY, posZ )
	elseif eventID==BowieK_Action_02 then
		Play3DSound( "Sound\\Weapon\\Melee\\Knife\\Knife_attack2.wav", posX, posY, posZ )
	elseif eventID==Tomahawk_Action_01 then
		Play3DSound( "Sound\\Weapon\\Melee\\Knife\\Knife_Attack1.wav", posX, posY, posZ )
	elseif eventID==Tomahawk_Action_02 then
		Play3DSound( "Sound\\Weapon\\Melee\\Knife\\Knife_Attack2.wav", posX, posY, posZ )

-- C4 
	elseif eventID==C4_Plant1 then
		Play2DSound( "Sound\\HGrenade\\C4_Plant_Beep.wav", 1 )
	elseif eventID==C4_Plant2 then
		Play2DSound( "Sound\\HGrenade\\C4_Plant_Down.wav", 1 )
	elseif eventID==C4_Defuse1 then
		Play3DSound( "Sound\\HGrenade\\C4_Defuse_Beep.wav", posX, posY, posZ )
	elseif eventID==C4_Defuse2 then
		Play3DSound( "Sound\\HGrenade\\C4_Defuse_Down.wav", posX, posY, posZ )

	end
		
end
