-- 총알의 도달 시간
SetReachTime( 5.0 )
-- 돌리줌 리액션 시간
SetReachTime2( 1.6 )
-- 돌리줌 start min max
SetFOV(10.0, 10.0, 100.0);
-- 돌리줌 마지막 위치 오프셋..
SetDollyZoomLastPosOffset(120.0, 0.0, 0.0)

-- 총알을 맞은 뒤 슬로우 모션 시간
SetImpactSlowMotionTime( 2.0 )

-- 총알에 붙을 카메라 위치 (총알 위치 + attachpos)
SetCameraAttachPosition( -130, 0.0, 0.0 )

-- 총알이 날라가고 있을때 dof가 사라지는 시간의 비율 (총알 도달시간의 시작에서 부터의 비율)
SetActionDofRate( 0.9 )

-- 총알의 회전 속도
SetBulletRotateSpeed( 500.0 )

-- 총알 주변으로 카메라를 돌릴때 필요값
-- startdeg, enddeg, radius
SetBulletCameraRotation(25.0, -180.0, 40.0f)

-- 총알 카메라의 의 들쭉 날쭉값 
SetBulletCameraInoutValue(20.0)

-- 맞고 난후 카메라 흔들기
SetBulletCameraShakeStrength(10.0)

-- 맞고 난후 카메라 흔들기시간
SetBulletCameraShakeTime(0.5)

-- 총알값들은 각자 연관되어 있기 때문에 1개를 고쳐도 영향을 줍니다.
SetBulletSound("sniper_lastshot", 1.0)
SetStartSound("sniper_start", 1.0)
SetFailedSound("sniper_failed", 1.0)
SetBGMSound("sniper_ambience", 1.0)

-- 스나이퍼 줌단계별 크로스헤어 움직임
SetCrosshairValueByBreath(0, 1, 5);
SetCrosshairValueByBreath(1, 3, 8);
SetCrosshairValueByBreath(2, 5, 12);
SetCrosshairValueByBreath(3, 7, 17);
SetCrosshairValueByBreath(4, 9, 21);
SetCrosshairValueByBreath(5, 11, 28);
SetCrosshairValueByBreath(6, 13, 37);


-- 스나이퍼 점수배열
SCORETYPE_SUBHEADSHOT = 0		-- 서브미션 헤드샷
SCORETYPE_SUBNORMALSHOT = 1	-- 일반사격 : 1
SCORETYPE_SUBDESTROYOBJ = 2	-- 오브젝트 파괴 : 2
SCORETYPE_SUBDESTROYOBJS = 3	-- 일반타겟 오브젝트를 이용하여 적 처치 : 3
SCORETYPE_MAINHEADSHOT = 4	-- 타겟 헤드샷 : 4
SCORETYPE_MAINNORMALSHOT = 5	-- 타겟 일반 처치 : 5
SCORETYPE_MAINDESTROYOBJ = 6	-- 목표 타겟 오브젝트로 처치 : 6

SetScoreType(SCORETYPE_SUBHEADSHOT, 25000)
SetScoreType(SCORETYPE_SUBNORMALSHOT, 15000)
SetScoreType(SCORETYPE_SUBDESTROYOBJ, 10000)
SetScoreType(SCORETYPE_SUBDESTROYOBJS, 15000)
SetScoreType(SCORETYPE_MAINHEADSHOT, 40000)
SetScoreType(SCORETYPE_MAINNORMALSHOT, 30000)
SetScoreType(SCORETYPE_MAINDESTROYOBJ, 30000)

